Bug 450275 - Review Request: sysklogd - System logging and kernel message trapping daemons
Review Request: sysklogd - System logging and kernel message trapping daemons
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: S.A. Hartsuiker
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-06-06 08:33 EDT by Jeroen van Meeuwen
Modified: 2008-08-26 05:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-26 05:01:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
s.a.hartsuiker: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)
patch for .spec on F-8 (633 bytes, patch)
2008-07-31 07:04 EDT, S.A. Hartsuiker
no flags Details | Diff

  None (edit)
Description Jeroen van Meeuwen 2008-06-06 08:33:25 EDT
Spec URL: http://www.kanarip.com/custom/SPECS/sysklogd.spec
SRPM URL: http://www.kanarip.com/custom/f10/SRPMS/sysklogd-1.5-1.fc10.src.rpm
Description: The sysklogd package contains two system utilities (syslogd and klogd) which provide support for system logging.  Syslogd and klogd run as daemons (background processes) and log system messages to different places, like sendmail logs, security logs, error logs, etc.

Additional information:

Based on the removed f7 sysklogd (1.4.2rh) package -this is a new upstream version-, which  which was obsoleted by rsyslog, and subsequently dropped from the release, while this package may be needed/desired for successors of the current Enterprise Linux products. It explicitly conflicts with rsyslog and syslog-ng (as these packages do one conflict with each other).

rpmlint is silent.

koji scratch builds complete:

- http://koji.fedoraproject.org/koji/taskinfo?taskID=650114 (dist-f8-updates-candidate)
- http://koji.fedoraproject.org/koji/taskinfo?taskID=650119 (dist-f9-updates-candidate)
- http://koji.fedoraproject.org/koji/taskinfo?taskID=650124 (dist-f10)
Comment 1 Bill Nottingham 2008-06-06 10:18:35 EDT
How would a package that is (essentially) an explicit subset of rsyslog useful?
Comment 2 Jeroen van Meeuwen 2008-06-06 10:40:06 EDT
Assuming you are asking whether having sysklogd in Fedora makes any sense since
we have rsyslog;

- sysklogd is six times smaller then rsyslog without any sub-packages
- it is licensed differently (GPLv2 vs GPLv3+)
- it has been around for ages and ages and is still the default in the
yet-to-be-supported-for-another-couple-of-years enterprise line of systems
- i like it
Comment 3 S.A. Hartsuiker 2008-07-31 07:04:38 EDT
Created attachment 313090 [details]
patch for .spec on F-8

This patch comments out additional -devel stuff that is not needed + fixes the
empty CHANGES file for F-8
Comment 4 S.A. Hartsuiker 2008-07-31 07:05:10 EDT
RPM Lint: quiet, except on F-8 mock build
Package name: ok
Spec file: ok
License: GPLv2
Actual License: GPLv2 (source tarball carries license in COPYING)
%doc License: ok
Spec file language: ok
Spec file readable: ok
Upstream source vs. used tarball: ok
Compile and Build:
 - F-8: no
 - F-9: builds
 - rawhide: builds
 - EL-5: no

Applicable Package Guidelines: 
Locales: n/a
Shared libs: n/a

Relocatable: no
Directory and file ownership: ok
No duplicate files in %files: ok
File Permissions: ok
Macro usage: ok
Code vs. Content: ok
(Large) Documentation: ok
%doc affecting runtime: ok
Header files in -devel package: ok
Static Libraries in -static package: n/a
pkgconfig Requires: n/a
Library files:  n/a
Devel requires base package: n/a
la libtool archives: n/a
Duplicate ownership of files/directories: no
Remove BuildRoot: yes
UTF-8 filenames: no 

not approved because iconv on F-8 creates an empty CHANGES file. patch against
the .spec follows/attached
Comment 6 S.A. Hartsuiker 2008-08-13 06:18:59 EDT
rpmlint is quiet now.
F8 builds properly.

Package approved.
Comment 7 Jeroen van Meeuwen 2008-08-23 15:27:08 EDT
New Package CVS Request
Package Name: sysklogd
Short Description: System logging and kernel message trapping daemons
Owners: kanarip
Branches: F-8 F-9
InitialCC: kanarip
Comment 8 Kevin Fenzi 2008-08-24 15:07:06 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.